Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029353
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2015-03-20 12:482015-05-07 22:17
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionffae20f94461
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionSCM revision 
Review Assigned Toeduardo_Argal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029353: Initial Client Setup: Apply dataset process only takes into account direct dependencies

DescriptionWhen you apply several datasets at the same time, the systems tries to apply them in order based on the definition of the module dependencies.

This process seems to work fine when the dependencies are directly declared in the modules, however the indirect dependencies are not taken into account in Initial Client Setup

Example: SEPA direct debit depends on SEPA Framework, that depends on Remittance Infrastructure, that depends on APRM module, that finally depends on Core. Here you have a simplified graph:

SEPA direct debit --> SEPA Framework --> Remittance Infrastructure --> APRM --> Core.


If you run an Initial Client setup and you select the Core, Remittance Infrastructure and SEPA direct debit datasets, the process fails because they are not applied in the right order.

If you manually change the dependencies to have a "direct dependency" as follows, the datasets are properly applied:
SEPA direct debit --> Remittance Infrastructure
Remittance Infrastructure --> Core


Enterprise Module Management doesn't seem to be affected by this issue.
Steps To ReproduceInstall SEPA direct debit module (+dependencies)
Run Initial Client setup and select the Core, Remittance Infrastructure and SEPA direct debit datasets.
Proposed SolutionIndirect dependencies should be taken into when deciding the order used for applying the datasets
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0028351 closedreinaldoguerra Modules The initial client setup process does not work selecting the SEPA Direct Debit Customer-to-Bank dataset 

-  Notes
(0075881)
vmromanos (developer)
2015-03-23 16:02

Test plan I:
Install SEPA direct debit module (+dependencies)
Run Initial Client setup and select the Core, Remittance Infrastructure and SEPA direct debit datasets.
Verify datasets are properly applied

Test plan II:
Run Initial Client setup and select no modules
Verify Client is properly created

Test plan III:
Run Initial Client setup and select core module
Verify Client is properly created
(0076921)
hgbot (developer)
2015-04-30 21:34

Repository: erp/devel/pi
Changeset: ffae20f94461f6555892e3cdf8ef72985064c1e6
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Mar 23 16:09:38 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ffae20f94461f6555892e3cdf8ef72985064c1e6 [^]

Fixed bug 29353: ICS implemented indirect dataset dependencies

When getting the module dependencies we take into account all the modules installed in the instance instead of only the one selected by the user.
We use the UpdateReferenceDataData.selectModules() method, which is used by the Enterprise Module Management process too, to get the right order.
The UpdateReferenceDataData class is now public to be called from InitialClientSetup.java.
Added missed ProcessingDataset message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData_data.xsql
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
---
(0076922)
hgbot (developer)
2015-04-30 21:34

Repository: erp/devel/pi
Changeset: 0bc90e3c757f13d84f07b5c60a638cc4ade2217c
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Apr 30 19:24:38 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0bc90e3c757f13d84f07b5c60a638cc4ade2217c [^]

Related to issue 29353: Refactor of class in FIN_Utility so it can be used in core. This is now used in Initial Client Setup

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ExecutePayments.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0076923)
eduardo_Argal (developer)
2015-04-30 21:38

Code Reviewed and tested.

Test plan I:
Install SEPA direct debit module (+dependencies)
Run Initial Client setup and select the Core, Remittance Infrastructure and SEPA direct debit datasets.
Verify datasets are properly applied

Test plan II:
Run Initial Client setup and select no modules
Verify Client is properly created

Test plan III:
Run Initial Client setup and select core module
Verify Client is properly created

Test plan IV:
Install SEPA direct debit module (+dependencies)
Install other modules containing as well datasets
Run Initial Client setup and select all datasets.
Verify datasets are properly applied
(0077192)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0077193)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-20 12:48 vmromanos New Issue
2015-03-20 12:48 vmromanos Assigned To => Sandrahuguet
2015-03-20 12:48 vmromanos Modules => Core
2015-03-20 12:48 vmromanos Triggers an Emergency Pack => No
2015-03-20 12:49 vmromanos Relationship added causes 0028351
2015-03-20 12:51 vmromanos Relationship replaced has duplicate 0028351
2015-03-20 14:09 vmromanos Summary Apply dataset process only takes into account direct dependencies => Initial Client Setup: Apply dataset process only takes into account direct dependencies
2015-03-20 14:09 vmromanos Description Updated View Revisions
2015-03-23 13:37 vmromanos Status new => scheduled
2015-03-23 13:37 vmromanos Assigned To Sandrahuguet => vmromanos
2015-03-23 16:02 vmromanos Note Added: 0075881
2015-04-30 21:34 hgbot Checkin
2015-04-30 21:34 hgbot Note Added: 0076921
2015-04-30 21:34 hgbot Status scheduled => resolved
2015-04-30 21:34 hgbot Resolution open => fixed
2015-04-30 21:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ffae20f94461f6555892e3cdf8ef72985064c1e6 [^]
2015-04-30 21:34 hgbot Checkin
2015-04-30 21:34 hgbot Note Added: 0076922
2015-04-30 21:38 eduardo_Argal Review Assigned To => eduardo_Argal
2015-04-30 21:38 eduardo_Argal Note Added: 0076923
2015-04-30 21:38 eduardo_Argal Status resolved => closed
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077192
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077193


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker